Page MenuHomePhabricator

Promote LuaSandbox as its own project, separate from Scribunto
Open, MediumPublic

Description

I'm tagging this as in the spirit of Librarization even though it's already technically separate.

We should treat LuaSandbox as its own project, and not just a component of Scribunto.

This would include having a separate Phab project to track bugs, a wiki page with documentation to begin with. I'm not sure whether it makes sense to also submit it to PECL / how that all works, but that's another thing to consider.

My motivation is that I keep seeing people mention https://github.com/phpv8/v8js but it seems barely anyone knows about luasandbox, and the rationale of why we decided running lua is better than JS.

Event Timeline

Legoktm created this task.Feb 2 2018, 6:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2018, 6:44 AM
Anomie awarded a token.Feb 2 2018, 3:17 PM

We now have:

:D

The only other thing I was thinking of was whether we could get LuaSandbox listed on https://secure.php.net/manual/en/refs.basic.other.php along with it's documentation.

The only other thing I was thinking of was whether we could get LuaSandbox listed on https://secure.php.net/manual/en/refs.basic.other.php along with it's documentation.

I see that page has an edit link in the upper right. It'll even let you log in anonymously. It's not clear what to do from there, so I'll probably leave it to someone else to figure out. I don't know whether they have any requirements like having to have it in pecl first.

Legoktm moved this task from Untriaged to To Do on the Librarization board.Jun 1 2018, 4:18 AM

I started the process of adding LuaSandbox to PECL: https://marc.info/?l=pecl-dev&m=153776610925078&w=2

I believe an extension is supposed to be in PECL before it is added to the manual.

Change 464758 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/php/luasandbox@master] PECL packaging

https://gerrit.wikimedia.org/r/464758

Krinkle added a subscriber: Krinkle.Oct 5 2018, 7:00 AM

Change 464758 merged by jenkins-bot:
[mediawiki/php/luasandbox@master] PECL packaging

https://gerrit.wikimedia.org/r/464758

Change 592706 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] Enable 'publish' pipeline job for luasandbox

https://gerrit.wikimedia.org/r/592706

Change 592706 merged by jenkins-bot:
[integration/config@master] Enable 'publish' pipeline job for luasandbox

https://gerrit.wikimedia.org/r/592706

Mentioned in SAL (#wikimedia-releng) [2020-04-27T16:58:53Z] <Krinkle> krinkle@contint1001$ Replay zuul event for luasandbox@3.0.3 tag to publish docs at https://doc.wikimedia.org/mediawiki-php-luasandbox/3.0.3/ - T186302

Change 592796 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/docroot@master] doc: Add more luasandbox links

https://gerrit.wikimedia.org/r/592796

Change 592796 merged by jenkins-bot:
[integration/docroot@master] doc: Add more luasandbox links

https://gerrit.wikimedia.org/r/592796

eprodromou triaged this task as Medium priority.Apr 28 2020, 8:13 PM
eprodromou added a subscriber: eprodromou.

This seems to be complete. @tstarling please close this if it's resolved.

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:02 PM